import { driverAttr, consigneeMethod, driverAutoCompleteMethod, consigneeAttr, deliveryAttr, deviceAttr_scanPage, carAttr, vehicleTypeAttr, carrierAttr, containerAttr } from '@/blocks/components/searchModalConfig/index'

export default (self, key) => {
  let o = {
    1: {
      name: 'status', label: '当前状态', type: 'select',
      get options() {
        return self.options.CONTAINER_BILL_STATUS || []
      }
    },
    2: {
      ...consigneeMethod('门店'),
      subName: ['consigneeId'],
      name: 'consigneeName',
      label: '门店', type: 'searchModal',
      on: {

        change(event, value, dataArr, form) {
          let consigneeId = null
          if (value) {
            consigneeId = dataArr[0].id
          }
          form.setFieldsValue({
            consigneeId
          });

        }
      }

    },
  }
  return [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    { name: 'containerCode', label: '容器编码', type: 'input' },
    o[key]


  ]
}

